Bug 7271 - [UPDATE REQUEST] dracut 041-14 + microcode_ctl 2.1.10
: [UPDATE REQUEST] dracut 041-14 + microcode_ctl 2.1.10
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-09 19:41 MSD by Eugene Shatokhin
Modified: 2016-09-20 20:21 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-08-09 19:41:46 MSD
Enabled early loading of CPU microcode in dracut, updated the microcode to version 2.1-10 (2016-07-21).

Intel and AMD CPUs are currently based on RISC chips with the special
microcode that actually implements the x86 instruction set.

The updates for such microcode are often included into BIOS updates, but
it is not always the case.

The kernel may apply such updates itself to fix bugs, etc. This should
be done as early at boot as possible, so enable the support for it in
dracut by default.

The updated microcode may help fix rather nasty bugs like https://bugzilla.kernel.org/show_bug.cgi?id=10335 where Linux crashes while Windows works fine on that system.
Comment 1 Eugene Shatokhin 2016-08-09 19:59:16 MSD
Advisory:
CPU microcode (microcode_ctl package) was updated to version 2.1.10 containing the firmware as of 2016-07-21. Loading of the CPU microcode was enabled in dracut by default and a bug in the relevant part of dracut was fixed. If the updated microcode is available for a given CPU, it will be loaded automatically at boot.

Build lists:

dracut 041-14:
i586: https://abf.io/build_lists/2696219
x86_64: https://abf.io/build_lists/2696220

microcode_ctl 2.1.10:
i586: https://abf.io/build_lists/2696221
x86_64: https://abf.io/build_lists/2696222


Hints for testing

0. Reboot after applying these updates. The microcode is only loaded at boot time here.

'dmesg | grep microcode' will then tell if the system has applied any microcode updates. If it has, the output will include "microcode updated early ..." line(s).

If there are no such lines and no microcode-related errors in dmesg, this is OK as well.

1. Because changes in initrd are involved here, please test not only how the packages work in the installed system but also how the ISO images containing these updates work in Live mode.

Here are the ISO images for testing:
https://abf.io/platforms/rosa2014.1/products/111/product_build_lists/15881

2. If possible, please test this update on the real hardware as well, both on the systems with Intel CPUs and the ones with AMD CPUs.

3. This update will remake initrd for the current kernel only. If you need it for another kernel you have installed, please remake initrd for that kernel explicitly.

4. If, for any reason, the updated microcode causes problems, early loading of microcode can be disabled. To do this, create a file in /etc/dracut.conf.d/, say, 80-disable-microcode.conf with the following contents:

early_microcode="no"

remake initrd and reboot.
Comment 2 Vladimir Potapov 2016-08-18 08:08:31 MSD
on my lenovo noutbook:

journalctl -ab|grep microcode
авг 18 19:58:01 keleg-Lenovo-G570 kernel: perf_event_intel: PEBS disabled due to CPU errata, please upgrade microcode
Comment 3 Vladimir Potapov 2016-08-18 08:12:51 MSD
(In reply to comment #2)
> on my lenovo noutbook:
> 
> journalctl -ab|grep microcode
> авг 18 19:58:01 keleg-Lenovo-G570 kernel: perf_event_intel: PEBS disabled
> due to CPU errata, please upgrade microcode

http://hw.rosalinux.ru/index.php?probe=9b24d6680a
Comment 4 Eugene Shatokhin 2016-08-18 18:30:50 MSD
(In reply to comment #2)
> on my lenovo noutbook:
> 
> journalctl -ab|grep microcode
> авг 18 19:58:01 keleg-Lenovo-G570 kernel: perf_event_intel: PEBS disabled
> due to CPU errata, please upgrade microcode

There is no microcode update for that system in this package, so the kernel applied no microcode updates at boot. This is OK.

It is unclear if such update even exists.
Comment 5 Vladimir Potapov 2016-08-24 06:15:49 MSD
The update is sent to expanded testing
**************************************
Comment 6 Vladimir Potapov 2016-09-20 17:44:48 MSD
dracut-041-14
https://abf.io/build_lists/2696219
https://abf.io/build_lists/2696220

microcode_ctl-2.1.10-2i586: 
https://abf.io/build_lists/2696221
https://abf.io/build_lists/2696222
********************** Advisory ***************************
CPU microcode (microcode_ctl package) was updated to version 2.1.10 containing the firmware as of 2016-07-21. Loading of the CPU microcode was enabled in dracut by default and a bug in the relevant part of dracut was fixed. If the updated microcode is available for a given CPU, it will be loaded automatically at boot.
***********************************************************
QA Verified